package cn.ibizlab.businesscentral.core.base.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.base.domain.TimezoneLocalizedName;
import cn.ibizlab.businesscentral.core.base.filter.TimezoneLocalizedNameSearchContext;


import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 实体[TimezoneLocalizedName] 服务对象接口
 */
public interface ITimezoneLocalizedNameService extends IService<TimezoneLocalizedName>{

    boolean remove(String key) ;
    void removeBatch(Collection<String> idList) ;
    boolean save(TimezoneLocalizedName et) ;
    void saveBatch(List<TimezoneLocalizedName> list) ;
    TimezoneLocalizedName getDraft(TimezoneLocalizedName et) ;
    boolean create(TimezoneLocalizedName et) ;
    void createBatch(List<TimezoneLocalizedName> list) ;
    boolean update(TimezoneLocalizedName et) ;
    void updateBatch(List<TimezoneLocalizedName> list) ;
    TimezoneLocalizedName get(String key) ;
    boolean checkKey(TimezoneLocalizedName et) ;
    Page<TimezoneLocalizedName> searchDefault(TimezoneLocalizedNameSearchContext context) ;
    List<TimezoneLocalizedName> selectByTimezonedefinitionid(String timezonedefinitionid) ;
    void removeByTimezonedefinitionid(String timezonedefinitionid) ;
    /**
     *自定义查询SQL
     * @param sql  select * from table where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return select * from table where id = '1'
     */
    List<JSONObject> select(String sql, Map param);
    /**
     *自定义SQL
     * @param sql  update table  set name ='test' where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return     update table  set name ='test' where id = '1'
     */
    boolean execute(String sql, Map param);

    List<TimezoneLocalizedName> getTimezonelocalizednameByIds(List<String> ids) ;
    List<TimezoneLocalizedName> getTimezonelocalizednameByEntities(List<TimezoneLocalizedName> entities) ;

}


